
*CIMSS Colors 
*100-250 = Cycan (5)
*251-350 = Yellow (7)
*351-500 = Green (3)

*SHEAR Levels
*200-850 Deep
*300-700 Mid
*500-850 Shallow

*STEERING Levels
*850-700 Low
*850-400 Mid
*850-200 Deep

sdat=read('levshear.txt')
shd=subwrd(sdat,2)
shdd=subwrd(sdat,3)
shddp=subwrd(sdat,4)
shm=subwrd(sdat,5)
shdm=subwrd(sdat,6)
shdmp=subwrd(sdat,7)
shs=subwrd(sdat,8)
shds=subwrd(sdat,9)
shdsp=subwrd(sdat,10)

say shd' 'shdd
say shm' 'shdm
say shs' 'shds

sdat=read('bounds.txt')
latmin=subwrd(sdat,2)
latmin=latmin - 0.5
say latmin
latmax=subwrd(sdat,3)
latmax=latmax + 0.65
say latmax
lonmin=subwrd(sdat,4)
lonmin=lonmin - 0.5
say lonmin
lonmax=subwrd(sdat,5)
lonmax=lonmax + 0.5
say lonmax

mdat=read('steering.txt')
spdd=subwrd(mdat,2)
dird=subwrd(mdat,3)
dirdp=subwrd(mdat,4)
spdm=subwrd(mdat,5)
dirm=subwrd(mdat,6)
dirmp=subwrd(mdat,7)
spds=subwrd(mdat,8)
dirs=subwrd(mdat,9)
dirsp=subwrd(mdat,10)

say spds' 'dirs
say spdm' 'dirm
say spdd' 'dird

'open gradsshear.ctl'
'set display color white'
'clear'
*TOP PLOT DEEP SHEAR
'set vpage 0 4.5 7.3 11.0'
'set parea 0.25 8.5 0.5 6.3'
'set grads off'
'set mpdset hires'
'set lat 'latmin' 'latmax
'set lon 'lonmin' 'lonmax

levnow=850
'set lev 'levnow
'set gxout barb'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 1'
'd u;v'
'set gxout model'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 1'
'd const(u,0);const(v,0);0;0;0;0'

levnow=200
'set lev 'levnow
'set gxout barb'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 5'
'd u;v'

'set string 1 c 1 0'
'draw string 6.5 5.0 850mb WIND'
'set string 5 c 1 0'
'draw string 6.5 4.5 200mb WIND'
'draw title Deep-Layer 200-850mb'

*CENTER MID LEVEL SHEAR
'set vpage 0 4.5 3.7 7.3'
'set parea 0.25 8.5 0.5 6.3'
'set grads off'
'set mpdset hires'
'set lat 'latmin' 'latmax
'set lon 'lonmin' 'lonmax

levnow=700
'set lev 'levnow
'set gxout barb'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 1'
'd u;v'
'set gxout model'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 1'
'd const(u,0);const(v,0);0;0;0;0'

levnow=300
'set lev 'levnow
'set gxout barb'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 5'
'd u;v'

'set string 1 c 1 0'
'draw string 6.5 5.0 700mb WIND'
'set string 5 c 1 0'
'draw string 6.5 4.5 300mb WIND'
'draw title Mid-Level 300-700mb'

*BOTTOM LOW LEVEL SHEAR
'set vpage 0 4.5 0 3.7'
'set parea 0.25 8.5 0.5 6.3'
'set grads off'
'set mpdset hires'
'set lat 'latmin' 'latmax
'set lon 'lonmin' 'lonmax

levnow=850
'set lev 'levnow
'set gxout barb'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 1'
'd u;v'
'set gxout model'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 1'
'd const(u,0);const(v,0);0;0;0;0'

levnow=500
'set lev 'levnow
'set gxout barb'
'set digsiz 0.15'
'set dignum 1'
'set ccolor 3'
'd u;v'

'set string 1 c 1 0'
'draw string 6.5 5.0 850mb WIND'
'set string 5 c 1 0'
'draw string 6.5 4.5 500mb WIND'
'draw title Low-Level 500-850mb'
say 'done with wind'
*TOP SHEAR 
rangle = dirdp
if(rangle < 0.0)
   rangle = rangle + 360
endif

xdist=math_cos(rangle)
ydist=math_sin(rangle)

'set vpage 4.5 8.5 0 11'
'set string 1 l 1 0'
'draw string 0.1 10.6 850-200mb STEERING'
'draw string 0.1 10.4 'spdd'kts 'dird'deg'

if(xdist < 0)
   x1 = 1.1
endif

if(xdist >= 0)
   x1 = 0.1
endif

if(ydist < 0 )
   if(ydist < -0.5)
      y1 = 10.2
    endif
    if(ydist >= -0.5)
      y1 = 9.7
    endif
*y1 = 10.2 
endif

if (ydist >= 0)
  if(ydist < 0.5)
     y1=9.7
   endif
   if( ydist >= 0.5) 
      y1 = 9.2
   endif
*   y1=9.2
endif

   x2 = x1 + xdist
   y2 = y1 + ydist

*   xdist=x2-x1
*   ydist=y2-y1
   xh = x2 - (xdist/3)
   yh = y2 - (ydist/3)


'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh - (0.3 * math_sin(rangle))
y1 = yh + (0.3 * math_cos(rangle))


'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh + (0.3 * math_sin(rangle))
y1 = yh - (0.3 * math_cos(rangle))
'draw line 'x1' 'y1' 'x2' 'y2

rangle = shddp
if(rangle < 0.0)
   rangle = rangle + 360
endif

xdist=math_cos(rangle)
ydist=math_sin(rangle)

'set string 1 l 1 0'
'draw string 0.1 8.9 850-200mb SHEAR'
'draw string 0.1 8.7  'shd'kts 'shdd'deg'

if(xdist < 0)
   x1 = 1.1
endif

if(xdist >= 0)
   x1 = 0.1
endif

if(ydist < 0 )
  if(ydist < -0.5 )
     y1 = 8.5
  endif
  if(ydist >= -0.5 )
     y1 = 8.0
  endif
*8.5
endif

if (ydist >= 0)
   if(ydist < 0.5)
      y1=8.0
   endif
   if(ydist >= 0.5)
      y1 = 7.5
   endif
*   y1 = 7.5
endif

   x2 = x1 + xdist
   y2 = y1 + ydist

   xdist=x2-x1
   ydist=y2-y1
   xh = x2 - (xdist/3)
   yh = y2 - (ydist/3)


'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh - (0.3 * math_sin(rangle))
y1 = yh + (0.3 * math_cos(rangle))


'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh + (0.3 * math_sin(rangle))
y1 = yh - (0.3 * math_cos(rangle))
'draw line 'x1' 'y1' 'x2' 'y2
say 'check'

*CENTER
rangle = dirmp
if(rangle < 0.0)
   rangle = rangle + 360
endif

xdist=math_cos(rangle)
ydist=math_sin(rangle)
*
'set string 1 l 1 0'
'draw string 0.1 7.0 700-300mb STEERING'
'draw string 0.1 6.8 'spdm'kts 'dirm'deg'

if(xdist < 0)
   x1 = 1.1
endif

if(xdist >= 0)
   x1 = 0.1
endif

if(ydist < 0 )
   if(y1 < -0.5)
      y1=6.6
   endif
   if(y1 >= -0.5)
      y1=6.1
   endif
*   y1 = 6.6
endif

if (ydist >= 0)
   if(ydist >= 0.5)
      y1 = 5.6
   endif
   if(ydist < 0.5)
     y1 = 6.1
   endif
*   y1 = 5.6
endif

   x2 = x1 + xdist
   y2 = y1 + ydist

   xh = x2 - (xdist/3)
   yh = y2 - (ydist/3)

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh - (0.3 * math_sin(rangle))
y1 = yh + (0.3 * math_cos(rangle))

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh + (0.3 * math_sin(rangle))
y1 = yh - (0.3 * math_cos(rangle))
'draw line 'x1' 'y1' 'x2' 'y2

'set string 1 l 1 0'
'draw string 0.1 5.4 700-300mb SHEAR'
'draw string 0.1 5.2 'shm'kts 'shdm'deg'
say 'check'

if(xdist < 0)
   x1 = 1.1
endif

if(xdist >= 0)
   x1 = 0.1
endif

if(ydist < 0 )
   if(ydist < -0.5)
      y1 = 5.0
   endif
   if(ydist >= -0.5)
      y1=4.5
   endif
*   y1 = 5.0
endif

if (ydist >= 0)
   if(ydist < 0.5)
      y1 = 4.5
   endif
   if(ydist >= 0.5)
      y1 = 4.0
   endif
*   y1 = 4.0
endif

   x2 = x1 + xdist
   y2 = y1 + ydist

   xh = x2 - (xdist/3)
   yh = y2 - (ydist/3)

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh - (0.3 * math_sin(rangle))
y1 = yh + (0.3 * math_cos(rangle))

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh + (0.3 * math_sin(rangle))
y1 = yh - (0.3 * math_cos(rangle))
'draw line 'x1' 'y1' 'x2' 'y2
say 'check'

*BOTTOM
rangle = dirsp
if(rangle < 0.0)
   rangle = rangle + 360
endif

xdist=math_cos(rangle)
ydist=math_sin(rangle)
*

'set string 1 l 1 0'
'draw string 0.1 3.5 850-500mb STEERING'
'draw string 0.1 3.3 'spds'kts 'dirs'deg'

if(xdist < 0)
   x1 = 1.1
endif

if(xdist >= 0)
   x1 = 0.1
endif

if(ydist < 0 )
  if(ydist < -0.5)
     y1 = 3.1
  endif
  if(ydist >= -0.5)
    y1 = 2.6
   endif
*   y1 = 3.1
endif

if (ydist >= 0)
   if(ydist < 0.5)
      y1 = 2.6
   endif
   if(ydist >= 0.5)
      y1 = 2.1
   endif
*   y1 = 2.1
endif

   x2 = x1 + xdist
   y2 = y1 + ydist

   xh = x2 - (xdist/3)
   yh = y2 - (ydist/3)

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh - (0.3 * math_sin(rangle))
y1 = yh + (0.3 * math_cos(rangle))

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh + (0.3 * math_sin(rangle))
y1 = yh - (0.3 * math_cos(rangle))
'draw line 'x1' 'y1' 'x2' 'y2

'set string 1 l 1 0'
'draw string 0.1 1.7 850-500mb SHEAR'
'draw string 0.1 1.5 'shs'kts 'shds'deg'

rangle = shdsp
if(rangle < 0.0)
   rangle = rangle + 360
endif

xdist=math_cos(rangle)
ydist=math_sin(rangle)
*

if(xdist < 0)
   x1 = 1.1
endif

if(xdist >= 0)
   x1 = 0.1
endif

if(ydist < 0 )
  if(ydist < -0.5)
     y1 = 1.3
  endif
  if(ydist >= -0.5)
   y1 = 0.8
  endif
*y1 = 1.3
endif

if (ydist >- 0)
   if(ydist >= 0.5)
      y1 = 0.3
   endif
   if(ydist < 0.5)
      y1 = 0.8
   endif
*   y1 = 0.3
endif

   x2 = x1 + xdist
   y2 = y1 + ydist

   xh = x2 - (xdist/3)
   yh = y2 - (ydist/3)

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh - (0.3 * math_sin(rangle))
y1 = yh + (0.3 * math_cos(rangle))

'draw line 'x1' 'y1' 'x2' 'y2
x1 = xh + (0.3 * math_sin(rangle))
y1 = yh - (0.3 * math_cos(rangle))

'draw line 'x1' 'y1' 'x2' 'y2

